Subject: Re: Regression with AX88179A: can't manually set MAC address anymore

From: Bagas Sanjaya <[email-masked]>
Date: Tue, 5 Sep 2023 19:31:45 +0700

On Tue, Sep 05, 2023 at 01:02:22PM +0200, Sergio Callegari wrote:
> Hi, reporting here as the issue I am seeing is cross distro and relevant to
> recent kernels. Hope this is appropriate.
> 
> I have a USB hub with AX88179A ethernet. I was able to use it regularly,
> until something changed in recent kernels to have this interface supported
> by the cdc_ncm driver. After this change it is not possible anymore to work
> with a manually set MAC address.

Exactly on what version range?

> 
> More details:
> 
> - before the kernel changes, the interface was supported by a dedicated
> kernel driver. The driver had glitches but was more or less working. The
> main issue was that after some usage the driver stopped working. Could fix
> these glitches with the driver at
> https://github.com/nothingstopsme/AX88179_178A_Linux_Driver

Did you mean that you use out-of-tree module?

> 
> - after the kernel changes, loading the ax88179_178a.ko does not create a
> network device anymore. The interface can be used with the cdc_ncm driver,
> however it is not possible anymore to use a manually set MAC address.
> 
> When you manually set a MAC this appears to be accepted (e.g. ip link
> reports it correctly), but the card does not receive data anymore. For
> instance, trying to connect to a DHCP server, you see that the server
> receives the request, makes an offer, but the offer is never received by the
> network card.
> 

How is the reproducer?

> This may be the same issue reported here: https://discussion.fedoraproject.org/t/ax88179-178a-network-fails-to-start-usb-to-eth/77687
> where the user says he cannot use the adapter when Network Manager is
> configured to employ a randomized MAC address.
> 

Confused...

-- 
An old man doll... just what I always wanted! - Clara